Skip to main content

Update Lease: Propertyware

PUThttps://api.propexo.com/v1/leases/propertyware/:lease_id
Method
updateLease

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

lease_id stringrequired

The Propexo unique identifier for the lease

Request​

This endpoint expects an object.

    property_idstring

    The Propexo unique identifier for the property

    unit_idstring

    The Propexo unique identifier for the unit

    primary_contact_idstring

    The Propexo unique identifier of the primary contact. This must either be a lead, applicant, or resident in Propexo

    tenants object[]

    An array of Propexo lead, applicant, or resident IDs. This must also include the primary contact ID

  • Array [
  • idstringrequired

    The Propexo unique identifier for the lead, applicant, or resident

  • ]
  • start_datestring<date-time>

    The start date associated with the lease

    end_datestring<date-time>

    The end date associated with the lease

    scheduled_move_in_datestring<date-time>

    The move-in date associated with the lease

    scheduled_move_out_datestring<date-time>

    The move-out date associated with the lease

    statusstring

    The status associated with the lease

    Show 5 enum values
    DraftActiveActive - Notice GivenTerminatedEviction

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    lease_idstringrequired

    The Propexo unique identifier for the lease

    property_idstring

    The Propexo unique identifier for the property

    unit_idstring

    The Propexo unique identifier for the unit

    primary_contact_idstring

    The Propexo unique identifier of the primary contact. This must either be a lead, applicant, or resident in Propexo

    tenants object[]
  • Array [
  • idstringrequired

    The Propexo unique identifier for the lead, applicant, or resident

  • ]
  • start_datestring<date-time>

    The start date associated with the lease

    end_datestring<date-time>

    The end date associated with the lease

    scheduled_move_in_datestring<date-time>

    The move-in date associated with the lease

    scheduled_move_out_datestring<date-time>

    The move-out date associated with the lease

    statusstring

    The status associated with the lease

    Show 5 enum values
    DraftActiveActive - Notice GivenTerminatedEviction

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/leases/propertyware/:lease_id
curl -X PUT https://api.propexo.com/v1/leases/propertyware/:lease_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"property_id": "string",
"unit_id": "string",
"primary_contact_id": "string",
"tenants": [
{
"id": "string"
}
],
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"scheduled_move_in_date": "2024-07-29T15:51:28.071Z",
"scheduled_move_out_date": "2024-07-29T15:51:28.071Z",
"status": "Draft"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"lease_id": "string",
"property_id": "string",
"unit_id": "string",
"primary_contact_id": "string",
"tenants": [
{
"id": "string"
}
],
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"scheduled_move_in_date": "2024-07-29T15:51:28.071Z",
"scheduled_move_out_date": "2024-07-29T15:51:28.071Z",
"status": "Draft"
}
}